package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWF9F1RWSSigns implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWF9F1RWSSigns() {}

    public static MWF9F1RWSSigns builder() {
        return new MWF9F1RWSSigns();
    }

    public MWF9F1RWSSigns rsIdsignature(String rsIdsignature) {
        params.put("RS_IDSIGNATURE", rsIdsignature);
        return this;
    }

    public MWF9F1RWSSigns rsInstptkey(String rsInstptkey) {
        params.put("RS_INSTPTKEY", rsInstptkey);
        return this;
    }

    public MWF9F1RWSSigns rsDatestamp(java.util.Date rsDatestamp) {
        params.put("RS_DATESTAMP", rsDatestamp);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
